Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 742407 - gnustep-apps/terminal-0.9.9: failed build with gcc 10 (multiple definition of `TerminalWindowNoMoreActiveWindowsNotification'; ./obj/Terminal.obj/main.m.o:(.sbss+0x0): first defined here)
Summary: gnustep-apps/terminal-0.9.9: failed build with gcc 10 (multiple definition of...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gnustep herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-09-14 02:51 UTC by Sam James
Modified: 2020-09-16 16:46 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (file_742407.txt,11.22 KB, text/plain)
2020-09-14 02:51 UTC, Sam James
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sam James archtester gentoo-dev Security 2020-09-14 02:51:09 UTC
Created attachment 660057 [details]
build.log

/usr/lib/gcc/powerpc-unknown-linux-gnu/10.2.0/../../../../powerpc-unknown-linux-gnu/bin/ld: ./obj/Terminal.obj/Services.m.o:(.sbss+0x0): multiple definition of `TerminalWindowNoMoreActiveWindowsNotification'; ./obj/Terminal.obj/main.m.o:(.sbss+0x0): first defined here
/usr/lib/gcc/powerpc-unknown-linux-gnu/10.2.0/../../../../powerpc-unknown-linux-gnu/bin/ld: ./obj/Terminal.obj/TerminalWindow.m.o:(.sdata+0x4): multiple definition of `TerminalWindowNoMoreActiveWindowsNotification'; ./obj/Terminal.obj/main.m.o:(.sbss+0x0): first defined here
collect2: error: ld returned 1 exit status
gmake[3]: *** [/usr/share/GNUstep/Makefiles/Instance/application.make:133: Terminal.app/./Terminal] Error 1
gmake[2]: *** [/usr/share/GNUstep/Makefiles/Instance/application.make:147: internal-app-run-compile-submake] Error 2
gmake[1]: *** [/usr/share/GNUstep/Makefiles/Master/rules.make:297: Terminal.all.app.variables] Error 2
make: *** [/usr/share/GNUstep/Makefiles/Master/application.make:38: internal-all] Error 2
 * ERROR: gnustep-apps/terminal-0.9.9::gentoo failed (compile phase):
Comment 1 Sam James archtester gentoo-dev Security 2020-09-14 02:51:55 UTC
Portage 3.0.6 (python 3.7.9-final-0, default/linux/powerpc/ppc32/17.0, gcc-10.2.0, glibc-2.32-r1, 5.4.63-gentoo ppc)
=================================================================
System uname: Linux-5.4.63-gentoo-ppc-POWER8_-architected-,_altivec_supported-with-gentoo-2.7
KiB Mem:    25061888 total,  10615296 free
KiB Swap:   25165760 total,  25136960 free
Timestamp of repository gentoo: Sun, 13 Sep 2020 07:35:38 +0000
sh bash 5.0_p18
ld GNU ld (Gentoo 2.33.1 p2) 2.33.1
app-shells/bash:          5.0_p18::gentoo
dev-lang/perl:            5.30.3-r1::gentoo
dev-lang/python:          2.7.18-r2::gentoo, 3.6.12::gentoo, 3.7.9::gentoo, 3.8.5::gentoo, 3.9.0_rc1::gentoo
dev-util/cmake:           3.18.2::gentoo
sys-apps/baselayout:      2.7::gentoo
sys-apps/openrc:          0.42.1::gentoo
sys-apps/sandbox:         2.20::gentoo
sys-devel/autoconf:       2.69-r5::gentoo
sys-devel/automake:       1.16.2::gentoo
sys-devel/binutils:       2.33.1-r1::gentoo, 2.34-r2::gentoo
sys-devel/gcc:            9.3.0-r1::gentoo, 10.2.0-r1::gentoo
sys-devel/gcc-config:     2.3.2::gentoo
sys-devel/libtool:        2.4.6-r6::gentoo
sys-devel/make:           4.3::gentoo
sys-kernel/linux-headers: 5.8::gentoo (virtual/os-headers)
sys-libs/glibc:           2.32-r1::gentoo
Repositories:

gentoo
    location: /var/db/repos/gentoo
    sync-type: rsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000
    sync-rsync-verify-metamanifest: yes
    sync-rsync-extra-opts:
    sync-rsync-verify-jobs: 1
    sync-rsync-verify-max-age: 24

ACCEPT_KEYWORDS="ppc ~ppc"
ACCEPT_LICENSE="@FREE"
CBUILD="powerpc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -pipe -frecord-gcc-switches -fdiagnostics-show-option"
CHOST="powerpc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -pipe -frecord-gcc-switches -fdiagnostics-show-option"
DISTDIR="/var/cache/distfiles"
EMERGE_DEFAULT_OPTS="--nospinner --ask-enter-invalid --jobs=4 --load-average 10 --quiet-build --keep-going --complete-graph --with-bdeps=y"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR"
FCFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -pipe -frecord-gcc-switches -fdiagnostics-show-option"
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox multilib-strict network-sandbox news parallel-fetch parallel-install pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS="-O2 -mcpu=powerpc -mtune=powerpc -pipe -frecord-gcc-switches -fdiagnostics-show-option"
GENTOO_MIRRORS="https://gentoo.osuosl.org/"
LANG="C.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed -Wl,--defsym=__gentoo_check_ldflags__=0"
MAKEOPTS="-j12 -l10"
PKGDIR="/var/tmp/portage/ppc32"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="acl berkdb big-endian bzip2 cli crypt dbus dri elogind fortran gdbm iconv ipv6 libglvnd ncurses nls nptl openmp pam pcre ppc readline seccomp split-usr ssl tcpd unicode xattr zlib" ABI_PPC="32" ADA_TARGET="gnat_2018" ALSA_CARDS="aoa aoa-fabric-layout aoa-onyx aoa-soundbus aoa-soundbus-i2s aoa-tas aoa-toonie powermac usb-audio via82xx" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-2 php7-3 php7-4" POSTGRES_TARGETS="postgres10 postgres11" PYTHON_SINGLE_TARGET="python3_7" PYTHON_TARGETS="python2_7 python3_7 python3_6 python3_8 python3_9" RUBY_TARGETS="ruby25" USERLAND="GNU" VIDEO_CARDS="fbdev glint mga nv r128 radeon dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 2 Larry the Git Cow gentoo-dev 2020-09-16 16:46:39 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5a688181a889ff736c177b911ce9f5f0d1cecf94

commit 5a688181a889ff736c177b911ce9f5f0d1cecf94
Author:     Bernard Cafarelli <voyageur@gentoo.org>
AuthorDate: 2020-09-16 16:46:11 +0000
Commit:     Bernard Cafarelli <voyageur@gentoo.org>
CommitDate: 2020-09-16 16:46:23 +0000

    gnustep-apps/terminal: fix build with -fno-common
    
    Closes: https://bugs.gentoo.org/742407
    Package-Manager: Portage-3.0.7, Repoman-3.0.1
    Signed-off-by: Bernard Cafarelli <voyageur@gentoo.org>

 gnustep-apps/terminal/files/terminal-0.9.9-fno-common.patch | 12 ++++++++++++
 gnustep-apps/terminal/terminal-0.9.9.ebuild                 |  4 +++-
 2 files changed, 15 insertions(+), 1 deletion(-)